"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const open = require("open");
const constants_1 = require("../utils/constants");
const debug = require('debug')('graphcool-auth');
exports.default = (props, env) => __awaiter(this, void 0, void 0, function* () {
    const alreadyAuthenticated = yield props.checkAuth(env, 'quickstart');
    if (alreadyAuthenticated) {
        open(`${constants_1.docsEndpoint}/quickstart`);
        env.out.write(constants_1.openedQuickstartMessage);
    }
});
//# sourceMappingURL=quickstart.js.map