"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_resolver_1 = require("./test_resolver");
const test_out_1 = require("./test_out");
const config_1 = require("../../src/utils/config");
function testEnvironment(storage) {
    const resolver = new test_resolver_1.default(storage);
    const config = new config_1.Config(resolver);
    return {
        resolver: resolver,
        out: new test_out_1.default(),
        config: config
    };
}
exports.testEnvironment = testEnvironment;
//# sourceMappingURL=test_environment.js.map